apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization


resources:
- base/argo-cd-issuer.yaml
- base/argo-cd-certificate.yaml
- base/argo-cd-ui-ingress.yaml
- base/jenkins-ingress.yaml
- base/rollouts-extension.yaml
- https://raw.githubusercontent.com/argoproj/argo-cd/master/manifests/ha/install.yaml

components:
- https://github.com/argoproj-labs/argocd-extensions/manifests

patchesStrategicMerge:
- overlays/production/argo-cd-cm.yaml
- overlays/production/argocd-server-service.yaml
- overlays/production/argocd-repo-server-deploy.yaml
- overlays/production/argocd-notifications-controller-deploy.yaml
- overlays/production/argocd-notifications-cm.yaml
- https://raw.githubusercontent.com/argoproj/argo-cd/master/notifications_catalog/install.yaml


patchesJson6902:
- path: overlays/production/argocd-server-deploy-command.yaml
  target:
    group: apps
    kind: Deployment
    name: argocd-server
    version: v1

namespace: argocd

images:
- name: quay.io/argoproj/argocd
  newName: ghcr.io/argoproj/argo-cd/argocd
  newTag: 2.6.0-9b6a3426
